--- title: "HeadContainer" slug: "storage-archivestorage-headobject-subaccount" tags: ["Archive Storage"] updated: 2026-09-17T10:12:27Z published: 2026-09-17T10:12:27Z canonical: "api.ncloud-docs.com/storage-archivestorage-headobject-subaccount" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # HeadContainer Available in Classic and VPC Get the metadata of a container (bucket). ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | HEAD | /{containerName} | ### Request headers The following describes the headers. | Field | Type | Required | Description | | --- | --- | --- | --- | | `x-ncp-apigw-timestamp` | String | Required | Timestamp value - It indicates the elapsed time in milliseconds since January 1, 1970 00:00:00 UTC. - Request is considered invalid if the timestamp differs from the current time by more than 5 minutes. | | `x-ncp-iam-access-key` | String | Required | API key issued by NAVER Cloud Platform or access key issued by Sub Account | | `x-ncp-apigw-signature-v2` | String | Required | Signature used to encrypt the body of the above example with the secret key that maps with the access key ID - Use the HMAC-SHA256 encryption algorithm. | | `x-ncp-region_code` | String | Required | Region code of the container - e.g., Korea: `KR` \| Singapore: `SGN` | ### Request path parameters The following describes the parameters. | Field | Type | Required | Description | | --- | --- | --- | --- | | `containerName` | String | Required | Name of the container (bucket) to view | ### Request example The request example is as follows: ``` curl -X HEAD "https://archive-storage-external-api.apigw.ntruss.com/{containerName}" -H "accept: application/json" -H "x-ncp-region-code: {regionCode}" -H "x-ncp-iam-access-key: {AccessKey} " -H "x-ncp-apigw-timestamp: {current timestamp}" -H "x-ncp-apigw-signature-v2: {generated signature}" ``` ## Response This section describes the response format. ### Response headers The following describes the headers. | Field | Type | Required | Description | | --- | --- | --- | --- | | `Server` | String | - | Response server | | `Date` | String | - | Response time of the request (UTC) | | `Connection` | String | - | TCP connection status between client and server | | `X-Storage-Policy` | Integer | - | Storage policy value of the container (bucket) | | `X-Timestamp` | Integer | - | Creation time of the container (bucket) (Unix timestamp) | | `X-Container-Bytes-Used` | Integer | - | Total capacity size used by the container (bucket) (bytes) | | `X-Trans-Id` | String | - | Transaction ID of the request | | `X-Openstack-Request-Id` | String | - | Transaction ID of the request - Identical to `X-Trans-Id` | | `X-Container-Object-Count` | Integer | - | Total number of objects in the container (bucket) | | `Referrer-Policy` | String | - | HTTP Referrer header handling method | | `x-ncp-apigw-response-origin` | String | - | Original source of the response | | `x-ncp-trace-id` | String | - | ID for transaction tracking | ### Response example The response example is as follows: ``` HTTP/1.1 200 OK Server: nginx Date: Mon, 15 Apr 2024 23:43:11 GMT Connection: keep-alive X-Storage-Policy: standard00 X-Timestamp: 1711960998.26335 X-Container-Bytes-Used: 16969 X-Openstack-Request-Id: tx4b43dc3e46d2471daaafb-00661dbb8f X-Container-Object-Count: 2 X-Trans-Id: tx4b43dc3e46d2471daaafb-00661dbb8f Referrer-Policy: unsafe-url x-ncp-trace-id: 6cd9l6lj66d356cchgc4rjcc1o x-ncp-apigw-response-origin: ENDPOINT ```